Skip to main content
POST
/
suno
/
v2
/
mdi
download mdi data
curl --request POST \
  --url https://api.mountsea.ai/suno/v2/mdi \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clip_id": "<string>"
}
'
{
  "taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}
Download MDI (MIDI) data for an audio clip. The clip_id must be a clip returned by the gen_stem_all task in the Generate endpoint.
This endpoint only works with clips generated from the gen_stem_all task. Using a regular clip ID will result in an error.
This is an async task. The response contains a taskId — use Get Task Status to poll for the MDI download URL.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
clip_id
string
required

The clip_id which used to generate the mdi, it must be the clip_id returned by the task gen_stem_all.

Response

201 - application/json
taskId
string
required

task id. Use this id to query task status.

Example:

"15c257ff-43f7-4678-bd41-202ad6b8488b"